## dvdec dvdec |

## Properties

gboolean | clamp-chroma | Read / Write
gboolean | clamp-luma | Read / Write
gint | drop-factor | Read / Write
GstDVDecQualityEnum | quality | Read / Write

## Types and Values

struct | GstDVDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstDVDec

## Description

dvdec decodes DV video into raw video. The element expects a full DV frame as input, which is 120000 bytes for NTSC and 144000 for PAL video.

This element can perform simple frame dropping with the “drop-factor” property. Setting this property to a value N > 1 will only decode every Nth frame.

### Example launch line

    1
    gst-launch-1.0 filesrc location=test.dv ! dvdemux name=demux ! dvdec ! xvimagesink

This pipeline decodes and renders the raw DV stream to a videosink.

## Synopsis

### Element Information

plugin | dv
author | Erik Walthinsen <omega@cse.ogi.edu>,Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-dv, systemstream=(boolean)false

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ YUY2, BGRx, RGB }, framerate=(fraction)[ 1/1, 60/1 ], width=(int)720, height=(int){ 576, 480 }

## Functions

## Types and Values

### struct GstDVDec

    struct GstDVDec;

## Property Details

### The `“clamp-chroma”` property

      “clamp-chroma”             gboolean

Clamp chroma.

Flags: Read / Write

Default value: FALSE

### The `“clamp-luma”` property

      “clamp-luma”               gboolean

Clamp luma.

Flags: Read / Write

Default value: FALSE

### The `“drop-factor”` property

      “drop-factor”              gint

Only decode Nth frame.

Flags: Read / Write

Allowed values: >= 1

Default value: 1

### The `“quality”` property

      “quality”                  GstDVDecQualityEnum

Decoding quality.

Flags: Read / Write

Default value: Highest quality colour decoding